Bug 812372 - Portlet icons not found
Portlet icons not found
Status: CLOSED WONTFIX
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Portal (Show other bugs)
5.2.1.CR02
i686 Linux
unspecified Severity low
: ---
: ---
Assigned To: Default User
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-13 10:22 EDT by Miroslav Cupák
Modified: 2015-01-05 06:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 08:42:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Cupák 2012-04-13 10:22:53 EDT
Description of problem:
Icons for several portlets available in EPP by default are missing, which results in JS errors when portal attempts to load them (404).

The list of missing resources:
http://[IP ADDR]:8080/exoadmin/skin/DefaultSkin/portletIcons/ApplicationRegistryPortlet.png
http://[IP ADDR]:8080/exoadmin/skin/DefaultSkin/portletIcons/GroupNavigationPortlet.png
http://[IP ADDR]:8080/wsrp-admin-gui/skin/DefaultSkin/portletIcons/WSRPConfigurationPortlet.png
http://[IP ADDR]:8080/exoadmin/skin/DefaultSkin/portletIcons/PageManagementPortlet.png
http://[IP ADDR]:8080/exoadmin/skin/DefaultSkin/portletIcons/RegisterPortlet.png

Steps to Reproduce:
1. Sign in as root.
2. Go to Site Editor > Add New Page.
3. Fill in the name for the node and click Next until you get to the third step of the wizard (Page Editor). The portal attempts to load the images at this point.

Note: This can be reproduced in a similar way via Application Registry.  

Additional info:
EPP is used with the default skin.
Comment 1 Miroslav Cupák 2012-04-13 11:18:43 EDT
Actually, there are images missing for most of the portlets if you go through Application Registry.

Full list:
GET http://[IP_ADDR]:8080/exoadmin/skin/DefaultSkin/portletIcons/ApplicationRegistryPortlet.png 404 (Not Found)
GET http://[IP_ADDR]:8080/exoadmin/skin/DefaultSkin/portletIcons/GroupNavigationPortlet.png 404 (Not Found)
GET http://[IP_ADDR]:8080/exoadmin/skin/DefaultSkin/portletIcons/PageManagementPortlet.png 404 (Not Found)
GET http://[IP_ADDR]:8080/exoadmin/skin/DefaultSkin/portletIcons/RegisterPortlet.png 404 (Not Found)
GET http://[IP_ADDR]:8080/wsrp-admin-gui/skin/DefaultSkin/portletIcons/WSRPConfigurationPortlet.png 404 (Not Found)
GET http://[IP_ADDR]:8080/dashboard/skin/DefaultSkin/portletIcons/DashboardPortlet.png 404 (Not Found)
GET http://[IP_ADDR]:8080/dashboard/skin/DefaultSkin/portletIcons/GadgetPortlet.png 404 (Not Found)
GET http://[IP_ADDR]:8080/web/skin/DefaultSkin/portletIcons/IFramePortlet.png 404 (Not Found)
GET http://[IP_ADDR]:8080/web/skin/DefaultSkin/portletIcons/BannerPortlet.png 404 (Not Found)
GET http://[IP_ADDR]:8080/web/skin/DefaultSkin/portletIcons/BreadcumbsPortlet.png 404 (Not Found)
GET http://[IP_ADDR]:8080/web/skin/DefaultSkin/portletIcons/FooterPortlet.png 404 (Not Found)
GET http://[IP_ADDR]:8080/web/skin/DefaultSkin/portletIcons/HomePagePortlet.png 404 (Not Found)
GET http://[IP_ADDR]:8080/web/skin/DefaultSkin/portletIcons/LogoPortlet.png 404 (Not Found)
GET http://[IP_ADDR]:8080/web/skin/DefaultSkin/portletIcons/NavigationPortlet.png 404 (Not Found)
GET http://[IP_ADDR]:8080/exoadmin/skin/DefaultSkin/portletIcons/PortalNavigationPortlet.png 404 (Not Found)
GET http://[IP_ADDR]:8080/dashboard/skin/DefaultSkin/portletIcons/TabbedDashboardPortlet.png 404 (Not Found)

Note You need to log in before you can comment on or make changes to this bug.